﻿@model IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.News>
@{
    ViewBag.Title = "Quản trị tin bài";
    ViewBag.Description = "tin bai";
    Layout = "~/Areas/administrators/Views/Shared/_adminOcc.cshtml";
}
@{
    IEnumerable<MvcWebsiteOcc.Models.Language> langs = ViewBag.LangList;
    //MvcWebsiteOcc.Areas.administrators.Models.WebsiteDetail detail = ViewBag.Detail;
    int tbCol = 8 + langs.Count();
    
}

@using (Html.BeginForm())
{
    <div class="row">
        <div class="col-lg-12 col-sm-12 col-xs-12">
            <div class="widget">
                <div class="widget-header header-large" style="display: block;">
                    <span class="widget-caption">@ViewBag.Title</span>
                    <div class="widget-buttons">
                        <a href="#" data-toggle="maximize">
                            <i class="fa fa-expand"></i>
                        </a>
                    </div>
                </div>
                <div class="widget-body">
                    <div class="table-toolbar">
                        <a href="/administrators/news_manager/news_add" class="btn btn-blue"><i class="fa fa-plus"></i>Thêm mới</a>
                        <button type="button" class="btn btn-danger pull-right" data-toggle="modal" data-target="#modal-danger" style="margin-left: 5px">
                            <i class="fa fa-times"></i>Xóa</button>
                        @*<button class="btn btn-info pull-right" type="submit" name="update" value="OK">
                            <i class="fa fa-refresh"></i>Cập nhật vị trí</button>*@
                    </div>
                    <table class="table table-striped table-bordered table-hover" id="bang_@tbCol">
                        <thead>
                            <tr>
                                <th style="width: 25px;">
                                    <label class="checker">
                                        <input type="checkbox" class="group-checkable" data-set="#flip .checkboxes">
                                        <span class="text"></span>
                                    </label>
                                </th>
                                <th style="width: 100px">Ảnh</th>
                                <th>Tiêu đề</th>
                                <th style="width: 180px">Chuyên mục</th>
                                <th style="width: 100px">Trạng thái</th>
                                <th style="width: 150px">Trang chủ</th>
                                <th style="width: 150px">Tin Hot</th>
                                <th style="width: 100px">Lượt xem</th>
                                @{foreach (var lang in langs)
                                  {
                                    <th style="width: 50px; text-align: center">
                                        <img  src="/Uploaded/images/language/@lang.Lang_Flag"></th>
                                  }}
                            </tr>
                        </thead>
                        <tbody>
                            @{foreach (var item in Model)
                              {
                                  if (item.LinkID == 0)
                                  { 
                                <tr>
                                    <td>
                                        <label>
                                            <input type="checkbox" class="checkboxes" name="itemID" value="@item.NewsID">
                                            <span class="text"></span>
                                        </label>
                                    </td>
                                    <td>
                                        @{if (item.NewsImage != null)
                                          {
                                            <img class="slogan_img" src="/Uploaded/Images/tintuc/@item.Folder/@item.NewsImage"> 
                                          }
                                          else if (item.NewsVideo != null)
                                          {
                                            <img src="http://img.youtube.com/vi/@item.NewsVideo/0.jpg" alt="" class="slogan_img">
                                          }
                                          else
                                          {  
                                            <img class="slogan_img" src="/Static/admin/assets/img/no_img.png"> 
                                          }}

                                        <input type="hidden" name="updateID" value="@item.NewsID">
                                    </td>
                                    <td>
                                        <a href="/administrators/news_manager/news_edit/@item.NewsID">
                                            <b>
                                                @item.NewsTitle
                                            </b>
                                        </a>
                                        <br />
                                        @item.NewsAuthor (@item.CreateDate.ToString("dd/MM/yyyy hh:mm:ss tt"))
                                        @* <input type="hidden" name="updateID" value="@parent.NewCatID">*@
                                    </td>
                                    <td>
                                        <span class='label  label-info'>
                                            @item.NewsCategories.NewsCatName
                                        </span>
                                        <br />
                                        @{if (item.EventID != null)
                                          {
                                            <span class='label  label-primary'>
                                                @item.Event.EventName
                                            </span> 
                                          }
                                          else
                                          {
                                              <span class='label  label-primary'>
                                            Không thuộc sự kiện
                                            </span> 
                                          }}

                                    </td>
                                    <td>
                                        @{if (item.IsActive == true)
                                          {
                                            <span class='label  label-success'>Hiển thị</span> 
                                          }
                                          else
                                          {
                                            <span class='label label-danger'>Ẩn</span>   
                                          }}
                                    </td>
                                    <td>
                                        @{if (item.IsHome == true)
                                          {
                                            <span class='label label-success'>Hiển thị</span> 
                                          }
                                          else
                                          {
                                            <span class='label label-danger'>Không hiển thị</span>  
                                          }
                                        }
                                    </td>
                                    <td>
                                        @{if (item.IsHot == true)
                                          {
                                            <span class='label label-success'>Tin hot</span> 
                                          }
                                          else
                                          {
                                            <span class='label label-danger'>Tin thường</span>  
                                          }
                                        }
                                    </td>
                                    <td>
                                        @item.ViewCount
                                    </td>

                                    @*<td>
                                        <a href="/administrators/news_manager/news_edit/@item.NewsID" class="btn btn-info btn-sm edit"><i class="fa fa-edit"></i></a>
                                    </td>*@
                                    @{foreach (var lang in langs)
                                      {
                                          if (item.Lang_ID == lang.Lang_ID)
                                          {
                                        <td>
                                            <a href="/administrators/news_manager/news_edit/@item.NewsID" class="btn btn-warning btn-sm edit"><i class="fa fa-check"></i></a>
                                        </td>
                                          }
                                          else
                                          {
                                              if (item.LinkID == 0)
                                              {
                                                  var linkObj = Model.FirstOrDefault(p => p.LinkID == item.NewsID && p.Lang_ID == lang.Lang_ID);
                                                  if (linkObj != null)
                                                  {
                                        <td>
                                            <a href="/administrators/news_manager/news_edit/@linkObj.NewsID" class="btn btn-info btn-sm edit"><i class="fa fa-arrow-right"></i></a>
                                        </td>
                                                  }
                                                  else
                                                  {
                                        <td>
                                            <a href="/administrators/news_manager/news_add?linkID=@item.NewsID&langID=@lang.Lang_ID" class="btn btn-success btn-sm edit"><i class="fa fa-plus"></i></a>
                                        </td>
                                                  }
                                              }
                                              else
                                              {
                                        <td>
                                            <a href="/administrators/news_manager/news_edit/@item.LinkID" class="btn btn-info btn-sm edit"><i class="fa fa-arrow-right"></i></a>
                                        </td>  
                                              }
                                          }
                                      }}
                                </tr>
                                
                                      var linkItems = Model.Where(p => p.LinkID == item.NewsID).ToList();
                                      if (linkItems.Count > 0)
                                      {
                                          foreach (var litem in linkItems)
                                          {
                                <tr>
                                    <td>
                                        <label>
                                            <input type="checkbox" class="checkboxes" name="itemID" value="@litem.NewsID">
                                            <span class="text"></span>
                                        </label>
                                    </td>
                                    <td>
                                        <img class="slogan_img" src="/Uploaded/Images/tintuc/@item.Folder/@litem.NewsImage">
                                        <input type="hidden" name="updateID" value="@litem.NewsID">
                                    </td>
                                    <td>
                                        <a href="/administrators/news_manager/news_edit/@litem.NewsID">
                                            <b>
                                                @litem.NewsTitle
                                            </b>
                                        </a>
                                        <br />
                                        @litem.NewsAuthor (@litem.CreateDate.ToString("dd/MM/yyyy hh:mm"))
                                        @* <input type="hidden" name="updateID" value="@parent.NewCatID">*@
                                    </td>
                                    <td>
                                        <span class='label  label-info'>
                                            @litem.NewsCategories.NewsCatName
                                        </span>

                                    </td>
                                    <td>
                                        @{if (litem.IsActive == true)
                                          {
                                            <span class='label  label-success'>Hiển thị</span> 
                                          }
                                          else
                                          {
                                            <span class='label label-danger'>Ẩn</span>   
                                          }}
                                    </td>
                                    <td>
                                        @{if (litem.IsHome == true)
                                          {
                                            <span class='label label-success'>Nổi bật</span> 
                                          }
                                        }
                                    </td>

                                    <td>
                                        @litem.ViewCount
                                    </td>
                                    @*<td>
                                        <a href="/administrators/news_manager/news_edit/@item.NewsID" class="btn btn-info btn-sm edit"><i class="fa fa-edit"></i></a>
                                    </td>*@
                                    @{foreach (var lang in langs)
                                      {
                                          if (litem.Lang_ID == lang.Lang_ID)
                                          {
                                        <td>
                                            <a href="/administrators/news_manager/news_edit/@litem.NewsID" class="btn btn-warning btn-sm edit"><i class="fa fa-check"></i></a>
                                        </td>
                                          }
                                          else
                                          {
                                              if (litem.LinkID == 0)
                                              {
                                                  var linkObj = Model.FirstOrDefault(p => p.LinkID == litem.NewsID && p.Lang_ID == lang.Lang_ID);
                                                  if (linkObj != null)
                                                  {
                                        <td>
                                            <a href="/administrators/news_manager/news_edit/@linkObj.NewsID" class="btn btn-info btn-sm edit"><i class="fa fa-arrow-right"></i></a>
                                        </td>
                                                  }
                                                  else
                                                  {
                                        <td>
                                            <a href="/administrators/news_manager/news_add?linkID=@litem.NewsID&langID=@lang.Lang_ID" class="btn btn-success btn-sm edit"><i class="fa fa-plus"></i></a>
                                        </td>
                                                  }
                                              }
                                              else
                                              {
                                        <td>
                                            <a href="/administrators/news_manager/news_edit/@litem.LinkID" class="btn btn-info btn-sm edit"><i class="fa fa-arrow-right"></i></a>
                                        </td>  
                                              }
                                          }
                                      }}
                                </tr> 
                                          }

                                      }

                                  }
                              }}
                        </tbody>
                    </table>
                    <div class="table-toolbar">
                        <a href="/administrators/news_manager/news_add" class="btn btn-blue"><i class="fa fa-plus"></i>Thêm mới</a>
                        <button type="button" class="btn btn-danger pull-right" data-toggle="modal" data-target="#modal-danger" style="margin-left: 5px">
                            <i class="fa fa-times"></i>Xóa</button>
                        @*<button class="btn btn-info pull-right" type="submit" name="update" value="OK">
                            <i class="fa fa-refresh"></i>Cập nhật vị trí</button>*@
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade modal-message modal-danger" id="modal-danger" aria-hidden="false" style="">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <i class="glyphicon glyphicon-fire"></i>
                </div>
                <div class="modal-title">
                    Thông báo
                </div>
                <div class="modal-body">
                    Bạn chắc chắn muốn xóa !
                </div>
                <div class="modal-footer">
                    <button data-dismiss="modal" type="button" class="btn btn-default" name="deleteOK" value="NO">No</button>
                    <button class="btn btn-danger " type="submit" name="deleteOK" value="OK">Ok</button>

                </div>
            </div>
        </div>
    </div>
    
    <script>
        $(document).ready(function () {
            var error = "@ViewBag.Error";
            if (error != 0) {
                $('#modal-warning-error').modal('show')
            }
        })
    </script>
    
    <div class="modal fade modal-message modal-warning" id="modal-warning-error" aria-hidden="false">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <i class="fa fa-warning"></i>
                </div>
                <div class="modal-title">
                    Thông báo
                </div>
                <div class="modal-body">
                    @ViewBag.Error
                </div>
                <div class="modal-footer">
                    <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
                </div>
            </div>
        </div>
    </div>
}
@section PageScripts{
    <script>
        $(document).ready(function () {
            $("#news").addClass("active open");
            $("#newsviews").addClass("active");
        });

    </script>
    <link href="/Static/admin/assets/css/dataTables.bootstrap.css" rel="stylesheet" />
    <script src="/Static/admin/assets/js/datatable/jquery.dataTables.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/ZeroClipboard.js"></script>
    <script src="/Static/admin/assets/js/datatable/dataTables.tableTools.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/dataTables.bootstrap.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/datatables-init.js"></script>
    <script>
        bang3.init();
        bang4.init();
        bang5.init();
        bang6.init();
        bang7.init();
        bang8.init();
        bang9.init();
        bang10.init();
    </script>

}
